Download it now!
Bug 133864 - FILEOPEN DOCX Shape size grows with Relative width to inner margin
Summary: FILEOPEN DOCX Shape size grows with Relative width to inner margin
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Szabolcs Toth
URL:
Whiteboard: target:7.1.0 target:7.0.1
Keywords:
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2020-06-10 15:07 UTC by NISZ LibreOffice Team
Modified: 2020-07-18 18:13 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (15.65 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-06-10 15:07 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (66.43 KB, image/png)
2020-06-10 15:08 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-06-10 15:07:46 UTC
Created attachment 161842 [details]
Example file from Word

Attached document contains shapes with relative (100%) width set to Inner margin margin, also the document has mirrored margins set with 4.5 cm inner and 3 cm outer.
If the file is opened in Writer, the shapes are 21 cm wide instead of matching the inner margin of the page.

Steps to reproduce:
1.	Open attached document

Actual results:
Shapes are 21 cm wide.

Expected results:
Shape width matches page inner margins.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 59939d2490726336546c7ad05082d23031074e12
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-06-10 15:08:16 UTC
Created attachment 161843 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 BogdanB 2020-06-10 18:22:48 UTC
Version: 6.4.4.2
Build ID: libreoffice-6.4.4.2-snap1
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 Commit Notification 2020-07-01 16:35:01 UTC
Regényi Balázs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d63321d949563759ee2ada96fdc2e0f8728941b2

tdf#133863 tdf#133864 DOCX shape import: width relative to inside

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-07-16 14:15:39 UTC
Regényi Balázs committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/dc3137f9a5a2abdbb627a1a26392d71e26bcc283

tdf#133863 tdf#133864 DOCX shape import: width relative to inside

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 BogdanB 2020-07-18 18:13:11 UTC
Verified in
Version: 7.1.0.0.alpha0+
Build ID: fa844c15233f108a0e9b0b2e8c9757c1aa088a4b
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded